Setting up an unified coverage report in Android with Jacoco, Robolectric, and Espresso
Rafael Toledo
68130

Rafael Toledo Thanks for the article. But can we check code coverage threshold in android-gradle. 
What i have tried,

apply plugin: 'jacoco'
jacocoTestCoverageVerification {
violationRules {
rule {
limit {
minimum = 0.5
}
}
}

from jacoco plugin https://docs.gradle.org/current/userguide/jacoco_plugin.html

But in android-gradle i am not getting this method. I am not getting what is the problem. Is android-gradle plugin doesn’t have this method(I am using latest android-gradle plugin 2.3+) or i should provide a seprate classpath for jacoco version higher than 0.6.3. 
Can you please help me to sort out this problem?

Thanks

Ankur